Skip Menu |
 

Preferred bug tracker

Please visit the preferred bug tracker to report your issue.

This queue is for tickets about the HTML-FormHandler CPAN distribution.

Report information
The Basics
Id: 83444
Status: resolved
Priority: 0/
Queue: HTML-FormHandler

People
Owner: Nobody in particular
Requestors: hesco [...] campaignfoundations.com
Cc:
AdminCc:

Bug Information
Severity: Critical
Broken in: 0.40020
Fixed in: (no value)



Subject: Validation failed for 'HFH::ArrayRefStr'
Download (untitled) / with headers
text/plain 441b
An attempt to run sudo cpanm HTML::FormHandler yields 125 lines in /root/.cpanm/build.log of the form: Attribute (widget_name_space) does not pass the type constraint because: Validation failed for 'HFH::ArrayRefStr' with value ARRAY(0x....). I suspect either a bug in HTML::FormHandler, or in its dependency list. Besides reporting this bug, I also have a question: what can I do to work around it in the mean time? -- Hugh Esco
Download (untitled) / with headers
text/plain 178b
There are no CPAN testers reports of an install failure and it doesn't fail for me. So clearly it's something in your environment. What is the OS? Perl Version? Moose Version?
Download (untitled) / with headers
text/plain 273b
Debian Lenny 6.0.5 Perl version v5.10.1 Moose version version 2.0403 on the way out the door this morning, I ran: moose-outdated (as advised on the #mojo channel on irc) which led me to install: MooseX::StrictConstructor after which I tried again with the same results.
Subject: Re: [rt.cpan.org #83444] Validation failed for 'HFH::ArrayRefStr'
Date: Wed, 20 Feb 2013 15:30:00 -0500
To: bug-HTML-FormHandler [...] rt.cpan.org
From: Gerda Shank <gerda.shank [...] gmail.com>
Download (untitled) / with headers
text/plain 676b
This is a basic failure in Moose::Util::TypeConstraints. Try re-installing Moose, mainly because if this is failing I'm pretty sure that the Moose test cases would fail too. Gerda On Tue, Feb 19, 2013 at 9:31 PM, Hugh Esco via RT < bug-HTML-FormHandler@rt.cpan.org> wrote: Show quoted text
> Queue: HTML-FormHandler > Ticket <URL: https://rt.cpan.org/Ticket/Display.html?id=83444 > > > Debian Lenny 6.0.5 > Perl version v5.10.1 > Moose version version 2.0403 > > on the way out the door this morning, I ran: > moose-outdated > > (as advised on the #mojo channel on irc) > which led me to install: > MooseX::StrictConstructor > > after which I tried again with the same results. > >
Download (untitled) / with headers
text/plain 105b
Sending the previous mail has failed. Please contact your admin, they can find more details in the logs.
Download (untitled) / with headers
text/plain 105b
Sending the previous mail has failed. Please contact your admin, they can find more details in the logs.
RT-Send-CC: gerda.shank [...] gmail.com
Download (untitled) / with headers
text/plain 588b
Thanks Gerda: I have reinstalled Moose, updating it to Moose-2.0604 from Moose-2.02xx I had previously used cpan install force to get HTML::FormHandler installed and it seems to be compiling now and I am on to other errors to resolve. Your MakeFile claims a PREREQ_PM of: "Moose" => "2.0007", You might consider updating that entry if a later version of Moose is now required. Thanks for your work on this module. It has come highly recommended to me and I loved the interface I read about in your perldoc. I'm looking forward to learning how to use this. -- Hugh Esco


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.